{% extends 'base.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block body %}

    <main class="container mt-0 md:mt-12">

		<div class="overflow-hidden bg-white shadow sm:rounded-lg">
			<div class="px-4 py-5 border-b border-gray-200 sm:px-6">
				<h3 class="text-lg font-medium leading-6 text-gray-900">
					Inscription
				</h3>
				<p class="max-w-2xl mt-1 text-sm leading-5 text-gray-500">
					Informations de l'inscription
				</p>
			</div>
			<div>
				<dl>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                        <dt class="text-sm font-medium leading-5 text-gray-500">
                            Édition
                        </dt>
                        <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                            {{ participation.edition }}
                        </dd>
                    </div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Société
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.society }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Date d'inscription
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.registration | date('d-m-Y H:i') }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Nombre de tables souhaitées
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.numberTables }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Nombre de tables animées par ma société/moi-même
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.numberAnimationTable }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Nombre de repas requis
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.numberMeal }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							J'ai besoin d'électricité
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{% if participation.needSocket %}
								<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
							{% else %}
								<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
							{% endif %}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Je souhaite pouvoir vendre mes jeux
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{% if participation.sellingOption %}
								<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
							{% else %}
									<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
							{% endif %}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Commentaire
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.comment }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Prix HT
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.estimate.HT }}€
						</dd>
					</div>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							TVA
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.estimate.TVA }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Prix TTC
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ participation.estimate }}€
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Actions
						</dt>
						<dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
							<a class="mb-4 md:mb-0 btn-secondary" href="{{ path('participation_index') }}">Revenir à la liste</a>

							{{ include('participation/_delete_form.html.twig') }}

							<a class="btn-info" href="{{ path('participation_edit', {'id': participation.id}) }}">Mettre à jour</a>
						</dd>
					</div>
				</dl>
			</div>
		</div>
	</main>
{% endblock %}
